#include <HCSR04.h>
#include <Servo.h>
Servo s1;                                         //monster mechanism servo
Servo s2;                                         //noise mechanism servo
int led_pin = 8;                                  //LED pin assignment
int disMax = 150;                                 //max working distance set to 150cm
int pos2 = 0;                                     // servo 2 starting position
int pos1 = 10;                                    // servo 1 starting position
int angle1 = 60;                                  //servo 1 movement range
int angle2 = 60;                                  //servo 2 movement range
UltraSonicDistanceSensor distanceSensor(5,3);     //distance sensor pin assignment


void setup() {

  Serial.begin(9600);

  s1.attach(6);                                   //servo 1 pin assignment
  s2.attach(7);                                   //servo 2 pin assignment
  pinMode(led_pin, OUTPUT);                       //pin mode assignment

}

void loop() {
// sensor:

  int dist = distanceSensor.measureDistanceCm();  // We define the variable "dist" as the distance detected by the ultrasonic sensor
  Serial.println(dist);                           // distance verification using serial monitor
  delay(500);

  if ( dist < disMax /*&& dist > 0*/){    // If the distance is lower than the max distance (cm) and has a positive value the code below runs, if not the system awaits further action.
    
    delay (1000);                    // mechanism waits 1s before starting its functions

    digitalWrite(led_pin, HIGH);     // LEDs set to ON 


// servo 2:
    for(int i = 0; i<4; i++){         // servo 2 taps 5 times on the box wall
      s2.write(pos2);
      delay(100);
      s2.write(angle2);
      delay(100);
    }
  

// servo 1:
    s1.write(angle1);                // servo 1 is set to initial position (lowered)
    Serial.println("down");          // serial monitor position check
    delay(100);
    s1.write(pos1);                  // servo 1 is set to final position (raised)
    Serial.println("up");            // serial monitor position check
    delay (5000);                    // mechanism waits 5s
    s1.write(angle1);                // servo 1 is set to initial position again (lowered)
    Serial.println("down");          // serial monitor position check
    delay(5000);                     // mechanism waits 5s
    
    digitalWrite(led_pin, LOW);      //  LEDs set to OFF
  
 }
}


